CREATE TABLE hrc_loader_error_lines (
    BATCH_ERROR_ID           NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    LOADER_BATCH_ID          NUMBER(18, 0)     NOT NULL,
    BATCH_LINE_ID            NUMBER(18, 0) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    ORIGINATING_SYSTEM       VARCHAR2(800) ,
    ROW_STATUS               VARCHAR2(400) ,
    MSG_TEXT                 VARCHAR2(2000),
    STACKTRACE               VARCHAR2(4000),
    MSG_ERROR_ID             NUMBER(18, 0) ,
    PARAMETER_01             VARCHAR2(800) ,
    PARAMETER_02             VARCHAR2(800) ,
    PARAMETER_03             VARCHAR2(800) ,
    PARAMETER_04             VARCHAR2(800) ,
    PARAMETER_05             VARCHAR2(800) ,
    PARAMETER_06             VARCHAR2(800) ,
    PARAMETER_07             VARCHAR2(800) ,
    PARAMETER_08             VARCHAR2(800) ,
    PARAMETER_09             VARCHAR2(800) ,
    PARAMETER_10             VARCHAR2(800) ,
    ERROR_STACK              CLOB          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    BATCH_ERROR_ID           NUMBER(18, 0) ,
    REQUEST_ID               NUMBER(18, 0) ,
    LOADER_BATCH_ID          NUMBER(18, 0)     NOT NULL,
    BATCH_LINE_ID            NUMBER(18, 0) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    ORIGINATING_SYSTEM       VARCHAR2(800) ,
    ROW_STATUS               VARCHAR2(400) ,
    MSG_TEXT                 VARCHAR2(2000),
    STACKTRACE               VARCHAR2(4000),
    MSG_ERROR_ID             NUMBER(18, 0) ,
    PARAMETER_01             VARCHAR2(800) ,
    PARAMETER_02             VARCHAR2(800) ,
    PARAMETER_03             VARCHAR2(800) ,
    PARAMETER_04             VARCHAR2(800) ,
    PARAMETER_05             VARCHAR2(800) ,
    PARAMETER_06             VARCHAR2(800) ,
    PARAMETER_07             VARCHAR2(800) ,
    PARAMETER_08             VARCHAR2(800) ,
    PARAMETER_09             VARCHAR2(800) ,
    PARAMETER_10             VARCHAR2(800) ,
    ERROR_STACK              CLOB          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_hrc_loader_error_lines PRIMARY KEY (BATCH_ERROR_ID, BATCH_ERROR_ID)
);
